﻿.ListHeaderHide 
{
    display:none;
}
.ListRowHide
{
    display:none;
}
.collapsePanelHeader 
{
    border: 0px solid #333333;
    color: #FFFFFF;
    background: #CCFF66 url(tr_back.gif) repeat-x;color:#fff;;
    font-weight: bold;
    padding: 0px;
    cursor: pointer;
}
.collapsePanelHeaderTable
{
    border: 0px solid #333333;
	border-spacing:0px;
	border-collapse: collapse;
	width: 100%;
}

tr.collapsePanelHeaderRow td
{
	border: 0px #fff solid
}


.collapsePanel 
{ 
    background-color: #ffffff; 
    overflow:hidden; 
    border: 0px solid #333333; 
    border-top: none; 
    padding: 5px; 
    width: 200px;
}

.collapsePanelHeaderLeft
{
	width: 100%;
	text-align: left!important;
	border: 0px!important;
	border-collapse: collapse;
}      
.collapsePanelHeaderRight
{
	width: 10px;
	text-align: right!important;
	border: 0px!important;
	border-collapse: collapse;
}

.alignRight 
{ 
    text-align: right; 
    float: right; 
}   
.labelInsidePanelHeader 
{ 
    color: #0000ff; 
    font-size: 10px; 
    text-decoration: none; 
    font-weight: normal; 
}    
.labelInsidePanelHeader:hover 
{ 
    color: #0000FF; 
    text-decoration: underline; 
    font-weight: normal; 
}
.ListProperties
{
	border: #666666 1px solid;
	width: 100%;
	
}
.ListProperties td
{
	padding: 5px 5px 5px 5px;
}
.ListHeader
{
    /*background-color: #008250;*/
    text-decoration: none;
    font-weight: bold;
    text-align: center;
    color: #ffffff;
}
.ListHeader td 
{
	border: 1px #ffffff solid;
}

.ListHeader th 
{
	background:#6F6F6F url(tr_back.gif) repeat-x;color:#fff;
	font-weight: bold;
}


.ListHeader a:link {
	color: #ffffff;
	text-decoration: none;
}
.ListHeader a:visited {
	color: #ffffff;
	text-decoration: none;
}
.ListHeader a:hover {
	background: #005BA0;
	color: #ffffff;
	text-decoration: none;
}
.ListProperties .ListRow
{
	background-color: #ffffff;
}
.ListProperties .ListRow td , .ListProperties .ListRow th{
	border-top: 1px #B6BA39 solid;
	border-left: 1px #B6BA39 solid;
	border-bottom: 1px #B6BA39 solid;
	text-align:left;
	border:1px solid #fff;
}
.ListProperties .ListRow a:link {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}
.ListProperties .ListRow a:visited {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}
.ListProperties .ListRow a:hover {
	color: #B6BA39;
	background: #005BA0;
}
.Annullato
{
	text-decoration: line-through;
  }
.ListAlternate
{
	background-color: #EEE6D7;
	border: #fff 1px solid;
}
.ListAlternate td {
	border: 1px #fff solid;
}
.ListAlternate a:link  {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}

.ListAlternate a:visited  {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}

.ListAlternate a:hover {
	color: #ffffff;
	background: #005BA0;
}
.ListPager
{
	background-color: #ffffff;
	text-decoration: none;
	word-spacing: 3px;
	color: #000000;
	font-weight: bold;
	font-size:16px;
}
.ListPager td {
    /*border-top: 1px #666666 solid;
    border-top-color: #000000;*/
}
.ListPager a:link {
    text-decoration: none;
    color: #99CCFF;
}
.ListPager a:visited {
    text-decoration: none;
    color: #FF0000;
}
.ListPager a:hover 
{
	background: #005BA0;
	color: #ffffff;
	text-decoration: none;
}
.ListPager input
{
	border: #8e8682 1px solid;
	padding-left: 3px;
	color: #363535;
	height: 15px;
	font-weight:normal;
	background-color: #ffffff;
}

.ListF
{
	background-color: #004CCB;
	text-decoration: none;
	word-spacing: 3px;
	color: #ffffff;
	font-weight: bold;
}

.ListFooter td {
    border-top: 1px #666666 solid;
    border-top-color: #000000;
}
.ListFooter a:link {
    text-decoration: none;
    color: #99CCFF;
}
.ListFooter a:visited {
    text-decoration: none;
    color: #FF0000;
}
.ListFooter a:hover 
{
	background: #005BA0;
	color: #ffffff;
	text-decoration: none;
}
.ListFooter input
{
	border: #8e8682 1px solid;
	padding-left: 3px;
	color: #363535;
	height: 15px;
	font-weight:normal;
	background-color: #ffffff;
}

.DetHead
{
    background-color: #004CCB;
    text-decoration: none;
    font-weight: bold;
    text-align: center;
    color: #ffffff;
}
.DetHeadAlt
{
    background-color: #004CCB;
    text-decoration: none;
    font-weight: bold;
    text-align: center;
    color: #ffffff;
}


.DetRow
{
	background-color: #ffffff;
}
.DetRow td {
	/*border-top: 1px #f2f2f2 solid;
	border-left: 1px #f2f2f2 solid;
	border-bottom: 1px #f2f2f2 solid;*/
}
.DetRow a:link {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}
.DetRow a:visited {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}
.DetRow a:hover {
	color: #ffffff;
	background: #005BA0;
}

.DetRowAlt
{
	background-color: #d9d8d6;
	border-top: #d4d4d4 1px solid;
}
.DetRowAlt td {
	border: 1px #f2f2f2 solid;
}
.DetRowAlt a:link  {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}

.DetRowAlt a:visited  {
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}

.DetRowAlt a:hover {
	color: #ffffff;
	background: #005BA0;
}

.DetHeadMenu
{
    background-color: #004CCB;
    text-decoration: none;
    font-weight: bold;
    text-align: center;
    color: #ffffff;
}
.DetOpMenu
{
	text-decoration: none;
	color: #464545;
	font-weight: bold;
}

.GridDetHead
{
    text-decoration: none;
    font-weight: bold;
    text-align: center;
    color: #555555;
	border: 0px;
}

.GridDetHAlt
{
    text-decoration: none;
    font-weight: bold;
    text-align: center;
    color: #000000;
	border: 0px;
}

.clsKeyItem td
{
	border: 0px;
}

/*
Questa query aggiunge del CSS per tutti gli schermi con
una risoluzione inferiore a 760px
*/
@media
only screen and (max-width: 760px),
(min-device-width: 768px) and (max-device-width: 1024px) {

    /* Forza la tabella a non essere più una tabella 
    table, thead, tbody, th, td, tr {
        display: block;
    }*/

	table, tr.ListRow, tr.ListAlternate,  tr.ListRow td , tr.ListAlternate td {
        display: block;
    }
	
	.collapsePanelHeader table,  .collapsePanel panel  
	{ 
	display:inline-table!important;
	} 
	
	.collapsePanelHeader tr,  .collapsePanel tr
	{ 
	display:table-row!important;
	} 

	.collapsePanelHeader td,  .collapsePanel td
	{ 
	display:table-cell!important;
	} 
	
	
	.collapsePanelHeader table
	{ 
	border: 0px;
	width:20px;
	} 
	

	td.ListRowHide
	{
		display:none !important;
	}
	
    /* Nasconde la testata della tabella (senza il dispaly non per una maggiore accessibilità) */
    .ListHeader {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    tr { border: 1px solid #ccc; }

	    tr.ListRow td, tr.ListAlternate td {
        /* Per comportarsi come una "riga" della tabella */
        border: none;
        border-bottom: 1px solid #eee;
        position: relative;
        padding-left: 50%;
     }

    tr.ListRow td:before , tr.ListAlternate td:before {
        /* Per inserire una descrizione ad ogni tabella */
        position: absolute;
        top: 0px;
        left: 6px;
        width: 45%;
        padding-right: 10px;
        /*white-space: nowrap;*/
		font-weight:bold;
		/*padding: 5px 5px 5px 5px;*/
    }


    /*

    Dati di ogni descrizione
    */
        tr.ListRow td:before,tr.ListAlternate td:before  { content: attr(desc); }
/*
        tr.ListRow td:nth-of-type(2):before { content: "Cognome"; }
        tr.ListRow td:nth-of-type(3):before { content: attr(desc)": "; }
        tr.ListRow td:nth-of-type(4):before { content: "Età"; }
        tr.ListRow td:nth-of-type(5):before { content: "Colore Preferito"; }
        tr.ListRow td:nth-of-type(6):before { content: attr(abbr)": "; }
        tr.ListRow td:nth-of-type(7):before { content: "Luogo di Nascita"; }
        tr.ListRow td:nth-of-type(8):before { content: "Passatempo"; }
        tr.ListRow td:nth-of-type(9):before { content: "Username"; }
		*/
}